<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019c9655-47d5-7641-a83c-e7df54910ffa,g:47c88e71-56c8-4fc3-9d67-9e9e11492c88-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:brlt="http://brilliantearth.com/20260427" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://brilliantearth.com/20260427">
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/dei-sub/2024" schemaLocation="https://xbrl.sec.gov/dei/2024/dei-sub-2024.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/ecd-sub/2024" schemaLocation="https://xbrl.sec.gov/ecd/2024/ecd-sub-2024.xsd"/>
  <xs:annotation>
    <xs:appinfo/>
  </xs:annotation>
</xs:schema>
